com.taosdata.jdbc.tmq

## Class OffsetAndMetadata

- java.lang.Object
- - com.taosdata.jdbc.tmq.OffsetAndMetadata

    public class OffsetAndMetadata
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`OffsetAndMetadata(long offset)`
`OffsetAndMetadata(long offset, String metadata)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `metadata()`
`long` `offset()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OffsetAndMetadata

    public OffsetAndMetadata(long offset)

#### OffsetAndMetadata

    public OffsetAndMetadata(long offset,
                             String metadata)

### Method Detail

#### offset

    public long offset()

#### metadata

    public String metadata()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`